#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcMarketDepth[] cacheitcMarketDepth;

		
		public itcMarketDepth itcMarketDepth(string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, double zoomFactor, Brush guiAskFillColor, Brush guiAskBorderColor, Brush guiBidFillColor, Brush guiBidBorderColor, long highVolThreshold, Brush guiHighAskFillColor, Brush guiHighAskBorderColor, Brush guiHighBidFillColor, Brush guiHighBidBorderColor)
		{
			return itcMarketDepth(Input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, zoomFactor, guiAskFillColor, guiAskBorderColor, guiBidFillColor, guiBidBorderColor, highVolThreshold, guiHighAskFillColor, guiHighAskBorderColor, guiHighBidFillColor, guiHighBidBorderColor);
		}


		
		public itcMarketDepth itcMarketDepth(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, double zoomFactor, Brush guiAskFillColor, Brush guiAskBorderColor, Brush guiBidFillColor, Brush guiBidBorderColor, long highVolThreshold, Brush guiHighAskFillColor, Brush guiHighAskBorderColor, Brush guiHighBidFillColor, Brush guiHighBidBorderColor)
		{
			if (cacheitcMarketDepth != null)
				for (int idx = 0; idx < cacheitcMarketDepth.Length; idx++)
					if (cacheitcMarketDepth[idx].SoftwareDescription == softwareDescription && cacheitcMarketDepth[idx].MachineAccount == machineAccount && cacheitcMarketDepth[idx].SoftwareActivationKey == softwareActivationKey && cacheitcMarketDepth[idx].MaxLevels == maxLevels && cacheitcMarketDepth[idx].ZoomFactor == zoomFactor && cacheitcMarketDepth[idx].GuiAskFillColor == guiAskFillColor && cacheitcMarketDepth[idx].GuiAskBorderColor == guiAskBorderColor && cacheitcMarketDepth[idx].GuiBidFillColor == guiBidFillColor && cacheitcMarketDepth[idx].GuiBidBorderColor == guiBidBorderColor && cacheitcMarketDepth[idx].HighVolThreshold == highVolThreshold && cacheitcMarketDepth[idx].GuiHighAskFillColor == guiHighAskFillColor && cacheitcMarketDepth[idx].GuiHighAskBorderColor == guiHighAskBorderColor && cacheitcMarketDepth[idx].GuiHighBidFillColor == guiHighBidFillColor && cacheitcMarketDepth[idx].GuiHighBidBorderColor == guiHighBidBorderColor && cacheitcMarketDepth[idx].EqualsInput(input))
						return cacheitcMarketDepth[idx];
			return CacheIndicator<itcMarketDepth>(new itcMarketDepth(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, MaxLevels = maxLevels, ZoomFactor = zoomFactor, GuiAskFillColor = guiAskFillColor, GuiAskBorderColor = guiAskBorderColor, GuiBidFillColor = guiBidFillColor, GuiBidBorderColor = guiBidBorderColor, HighVolThreshold = highVolThreshold, GuiHighAskFillColor = guiHighAskFillColor, GuiHighAskBorderColor = guiHighAskBorderColor, GuiHighBidFillColor = guiHighBidFillColor, GuiHighBidBorderColor = guiHighBidBorderColor }, input, ref cacheitcMarketDepth);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcMarketDepth itcMarketDepth(string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, double zoomFactor, Brush guiAskFillColor, Brush guiAskBorderColor, Brush guiBidFillColor, Brush guiBidBorderColor, long highVolThreshold, Brush guiHighAskFillColor, Brush guiHighAskBorderColor, Brush guiHighBidFillColor, Brush guiHighBidBorderColor)
		{
			return indicator.itcMarketDepth(Input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, zoomFactor, guiAskFillColor, guiAskBorderColor, guiBidFillColor, guiBidBorderColor, highVolThreshold, guiHighAskFillColor, guiHighAskBorderColor, guiHighBidFillColor, guiHighBidBorderColor);
		}


		
		public Indicators.itcMarketDepth itcMarketDepth(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, double zoomFactor, Brush guiAskFillColor, Brush guiAskBorderColor, Brush guiBidFillColor, Brush guiBidBorderColor, long highVolThreshold, Brush guiHighAskFillColor, Brush guiHighAskBorderColor, Brush guiHighBidFillColor, Brush guiHighBidBorderColor)
		{
			return indicator.itcMarketDepth(input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, zoomFactor, guiAskFillColor, guiAskBorderColor, guiBidFillColor, guiBidBorderColor, highVolThreshold, guiHighAskFillColor, guiHighAskBorderColor, guiHighBidFillColor, guiHighBidBorderColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcMarketDepth itcMarketDepth(string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, double zoomFactor, Brush guiAskFillColor, Brush guiAskBorderColor, Brush guiBidFillColor, Brush guiBidBorderColor, long highVolThreshold, Brush guiHighAskFillColor, Brush guiHighAskBorderColor, Brush guiHighBidFillColor, Brush guiHighBidBorderColor)
		{
			return indicator.itcMarketDepth(Input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, zoomFactor, guiAskFillColor, guiAskBorderColor, guiBidFillColor, guiBidBorderColor, highVolThreshold, guiHighAskFillColor, guiHighAskBorderColor, guiHighBidFillColor, guiHighBidBorderColor);
		}


		
		public Indicators.itcMarketDepth itcMarketDepth(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, double zoomFactor, Brush guiAskFillColor, Brush guiAskBorderColor, Brush guiBidFillColor, Brush guiBidBorderColor, long highVolThreshold, Brush guiHighAskFillColor, Brush guiHighAskBorderColor, Brush guiHighBidFillColor, Brush guiHighBidBorderColor)
		{
			return indicator.itcMarketDepth(input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, zoomFactor, guiAskFillColor, guiAskBorderColor, guiBidFillColor, guiBidBorderColor, highVolThreshold, guiHighAskFillColor, guiHighAskBorderColor, guiHighBidFillColor, guiHighBidBorderColor);
		}

	}
}

#endregion
